# pydicom.datadict.get_entry

pydicom.datadict.get_entry(tag: int | str | tuple[int, int] | BaseTag) → tuple[str, str, str, str, str]

  Return an entry from the DICOM dictionary as a tuple.

  If the tag is not in the main DICOM dictionary, then the repeating group dictionary will also be checked.

  Parameters:

    tag (int or str or Tuple[int, int]) – The tag for the element whose entry is to be retrieved, in any of the forms accepted by `Tag()`. Only entries in the official DICOM dictionary will be checked, not entries in the private dictionary.

  Returns:

    The (VR, VM, name, is_retired, keyword) from the DICOM dictionary.

  Return type:

    tuple of str

  Raises:

    KeyError – If the tag is not present in the DICOM data dictionary.

  See also

  `get_private_entry`

    Return an entry from the private dictionary.